AsterNet Class Library (Sandcastle documentation)
AsterNet Class Library (Sandcastle documentation)
AsterNET
Logger Class
Logger Methods
Debug Method
Error Method
Info Method
Instance Method
IsVisible Method
Visible Method
Warning Method

| Logger Methods

The Logger type exposes the following members.

Methods

| Name | Description
--- | --- | ---
| Debug(Object) |
| Debug(String) |
| Debug(String, Exception) |
| Debug(String, Object ) |
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| Error(Object) |
| Error(String) |
| Error(String, Exception) |
| Error(String, Object ) |
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| Info(Object) |
| Info(String) |
| Info(String, Exception) |
| Info(String, Object ) |
| Instance | Returns an instance of Log suitable for logging from the given class.
| IsVisible | Get visibility for message level of class:method
| ToString | Returns a string that represents the current object. (Inherited from Object.)
| Visible(Boolean, Logger MessageLevel) | Set visibility for message level of class:method
| Visible(Boolean, Logger MessageLevel, String) | Set visibility for message level of class:method
| Warning(Object) |
| Warning(String) |
| Warning(String, Exception) |
| Warning(String, Object ) |

Top
See Also

#### Reference

Logger Class
AsterNET Namespace